#section1 {
    display: flex;
    justify-content: space-between;
    padding: 1.5rem 10rem 1.5rem 3.5rem;
    background-color: var(--Soft_marble);
}

#section1 .ourWork h3 {
    font-size: 1.3rem;
    text-transform: capitalize;
}

#section1 .ourWork h3 i {
    font-size: 0.9rem;
}

#section1 .ourWork span {
    color: var(--Premium_gold);
}

#section1 .onGoing h4 {
    font-size: 1.3rem;
    text-transform: uppercase;
    color: var(--Premium_gold);
}

#section1 .onGoing h1 {
    font-size: 2.4rem;
    text-transform: capitalize;
    margin-bottom: 1rem;
}

#section1 .onGoing .horizontal-line {
    width: 100px;
    border: 0.1rem solid var(--Premium_gold);
}

@media (max-width: 992px) {
    #section1 {
        padding: 1.5rem 6rem 1.5rem 3.5rem;
    }
}

@media (max-width: 480px) {
    #section1 {
        padding: 1.5rem;
    }

    #section1 .ourWork {
        width: 30%;
    }

    #section1 .onGoing h4 {
        font-size: 1rem;
    }

    #section1 .onGoing h1 {
        font-size: 1.5rem;
        margin-bottom: 1rem;
    }

    #section1 .onGoing .horizontal-line {
        width: 70px;
    }
}

#section2 {
    margin-bottom: 1.4rem;
    position: relative;
}

#section2 .card-img {
    width: 100%;
    height: 420px;
}

#section2 .card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#section2 .card-img .shadow {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    background-color: rgba(0, 0, 0, 0.3);
}

#section2 .card-text {
    position: absolute;
    top: 0;
    width: 308px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 4rem;
}

#section2 .card-text .card-heading {
    text-transform: capitalize;
    font-size: 2.6rem;
    color: var(--Pure_white);
    margin-bottom: 1.2rem;
}

#section2 .card-text .card-para {
    text-transform: none;
    font-size: 1.2rem;
    line-height: 1.6rem;
    color: var(--Pure_white);
    margin-bottom: 1.5rem;
}

#section2 .card-text .card-btn {
    border: none;
    border-radius: 8px;
    text-transform: uppercase;
    font-weight: bold;
    background-color: var(--Premium_gold);
    cursor: pointer;
    width: 195px;
}

#section2 .card-text .card-btn a {
    text-decoration: none;
    display: flex;
    padding: 15px 20px;
    color: var(--Primary_text);
    flex-direction: row;
    gap: 0.8rem;
}

@media (max-width: 992px) {
    #section2 .card-img {
        height: 400px;
    }
}

@media (max-width: 480px) {
    #section2 {
        margin-bottom: 0.8rem;
    }

    #section2 .card-img {
        height: 235px;
    }

    #section2 .card-text {
        width: 210px;
        margin-left: 1rem;
    }

    #section2 .card-text .card-heading {
        text-transform: capitalize;
        font-size: 1.1rem;
        margin-bottom: 0.4rem;
    }

    #section2 .card-text .card-para {
        text-transform: none;
        font-size: 1rem;
        line-height: 1rem;
        margin-bottom: 0.6rem;
    }

    #section2 .card-text .card-btn {
        width: 175px;
    }

    #section2 .card-text .card-btn a{
        padding: 10px 12px;
        gap: 0.5rem;
    }
}

#section3 {
    margin: 2.2rem 0;
}

#section3 .card-headings {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#section3 .card-headings .sub-heading {
    text-transform: uppercase;
    margin-bottom: 0.3rem;
    font-size: 0.9rem;
    color: var(--Premium_gold);
}

#section3 .card-headings .main-heading {
    text-transform: capitalize;
    margin-bottom: 1.2rem;
    font-size: 2.4rem;
}

#section3 .card-headings .horizontal-line {
    border-bottom: 0.2rem solid var(--Premium_gold);
    width: 120px;
    margin-bottom: 1.4rem;
}

#section3 .cardsloop {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;
}

#section3 .cardsloop .card {
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    overflow: hidden;
    transition: 0.3s;
    width: 31%;
    height: 300px;
    display: flex;
    flex-direction: row;
}

#section3 .cardsloop .card:hover {
    transform: translateY(-5px);
}

#section3 .cardsloop .card .card-img {
    width: 47%;
}

#section3 .cardsloop .card .card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

#section3 .cardsloop .card .card-content {
    width: 53%;
    padding: 1rem 0.7rem;
}

#section3 .cardsloop .card .card-content ul li {
    list-style: none;
}

#section3 .cardsloop .card .card-content h2 {
    margin-bottom: 0.8rem;
    color: var(--Premium_gold);
}

#section3 .cardsloop .card .card-content h3 {
    margin-bottom: 1.2rem;
}

#section3 .cardsloop .card .card-content > p {
    margin-bottom: 1.2rem;
}

#section3 .cardsloop .card .card-content p {
    font-size: 14px;
    line-height: 1.2rem;
}

#section3 .cardsloop .card .card-content ul li p {
    margin-bottom: 0.5rem;
}

#section3 .cardsloop .card .card-content ul li i {
    color: var(--Premium_gold);
    font-size: 0.8rem;
    margin-right: 0.2rem;
}

@media (max-width: 1200px) {
    #section3 .cardsloop .card {
        width: 47%;
        height: 280px;
    }

    #section3 .cardsloop .card .card-img {
        width: 48%;
    }

    #section3 .cardsloop .card .card-content {
        width: 52%;
    }
}

@media (max-width: 992px) {
    #section3 .cardsloop .card {
        height: 300px;
    }

    #section3 .cardsloop {
        gap: 10px;
    }

    #section3 .cardsloop .card .card-img {
        width: 40%;
    }

    #section3 .cardsloop .card .card-content {
        width: 60%;
        padding: 0.8rem;
    }

    #section3 .cardsloop .card .card-content h3 {
        margin-bottom: 1.4rem;
    }

    #section3 .cardsloop .card .card-content > p {
        margin-bottom: 1.4rem;
    }

    #section3 .cardsloop .card .card-content ul li p {
        margin-bottom: 0.5rem;
    }
}

@media (max-width: 480px) {
    #section3 {
        margin: 1.3rem 0;
    }

    #section3 .card-headings .sub-heading {
        font-size: 0.7rem;
    }

    #section3 .card-headings .main-heading {
        margin-bottom: 0.8rem;
        font-size: 1.6rem;
    }

    #section3 .cardsloop {
        flex-direction: column;
        padding: 0 1rem;
    }

    #section3 .cardsloop .card {
        width: 100%;
        height: 100%;
        flex-direction: column;
    }

    #section3 .cardsloop {
        gap: 18px;
    }

    #section3 .cardsloop .card .card-img {
        width: 100%;
    }

    #section3 .cardsloop .card .card-content {
        width: 100%;
        padding: 0.8rem;
    } 

    #section3 .cardsloop .card .card-content h2 {
        margin-bottom: 0.5rem;
    }

    #section3 .cardsloop .card .card-content h3 {
        margin-bottom: 0.7rem;
    }

    #section3 .cardsloop .card .card-content > p {
        margin-bottom: 0.8rem;
    }

    #section3 .cardsloop .card .card-content ul li p {
        margin-bottom: 0.3rem;
    }
}